Skip to main content
`Ctrl`+`K`

# SNESUpdateFn

A prototype of a `SNES` update function that would be passed to `SNESSetUpdate()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode SNESUpdateFn(SNES snes, PetscInt step);

## Calling Sequence

- snes - `SNES` context

- step - the current iteration index

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSetUpdate()`

## Level

advanced

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages